import java.awt.Color;
import java.awt.event.ActionEvent;
import java.awt.event.MouseEvent;

import org.lekan.graphics.GraphicsProgram;


/**
 * Here's an intro/review to using Java, and an intro to using the SGGraphics package.
 * 
 * Your task: build a simple drawing program that does, at the minimum, the following:
 *  (1) Buttons that lets you choose whether to draw an ellipse, a rectangle, a line, a rounded line, or a quadratic curve
 *  (2) When the program first starts, the main canvas should display a nice welcoming message and/or graphics.
 *  (3) As soon as the user starts drawing, this welcome message should disappear
 *  (4) To draw, click and drag the mouse. The shape should display as you are dragging.
 *  (5) When released, the shape will stay on the screen.
 *  (6) A clear button will clear everything on the screen.
 * 
 * @author Your Name(s) Here!
 *
 */
public class EPGYDraw extends GraphicsProgram {
	public static void main(String[] args) {
		
		new EPGYDraw();
	}
	
	
	/**
	 * Put any setup code here!
	 */
	@Override
	public void setup() {
		// TODO: SETUP!
		this.getFrame().setTitle("EPGYDraw!");
		this.getFrame().setForegroundColor(Color.BLUE);
		this.addButton("Add rectangle", EAST);
		this.addButton("Add line", SOUTH);
		this.addButton("Add Round Line", WEST);
		this.addButton("Clear all", NORTH);
	}
	
	/**
	 * Put your program run code here! Most of your code should be in here.
	 */
	@Override
	public void run() {
		// TODO: The main run of the program!
		this.getFrame().drawText("Hi guys, I'm using a welcome language!", 10, 40);
		
	}
	/*public void mousePressed(MouseEvent e){	
		this.getFrame().drawLine(0, 0, e.getX(), e.getY());
	}*/
	int origX;
	int origY;
	int laterX;
	int laterY;
	int i=0;
	public void mousePressed(MouseEvent f) {
		if (i==0)
			this.getFrame().clearGraphics();
			i++;
		origX = f.getX();
		origY = f.getY();
	}
	public void mouseDragged(MouseEvent f){
		laterX = f.getX();
		laterY = f.getY();
		this.getFrame().clearGraphics();
		this.getFrame().drawLine(origX, origY, laterX, laterY);
	}
	
	public void actionPerformed(ActionEvent e){
		//This is to make sure the button has the event
		if (e.getActionCommand().equals("Add line")){
			this.getFrame().drawLine(origX,origY, laterX, laterY);
		}
		if (e.getActionCommand().equals("Add rectangle")){
			this.getFrame().drawRect(origX, origY, laterX, laterY);
		}
		if (e.getActionCommand().equals("Add Round Line")){
			this.getFrame().drawRoundedRect(origX, origY, laterX, laterY);
		}
		if (e.getActionCommand().equals("Clear all")){
			this.getFrame().clearGraphics();
		}
	}
}
